<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>
<script type="text/javascript" src="../yui/build/utilities/utilities.js"></script>
<script type="text/javascript" src="../ajax/js/prototype.js"></script>
<script type="text/javascript" src="js/resource_util.js"></script>
<script type="text/javascript" src="../registry_common/js/registry_validation.js"></script>
<script type="text/javascript">

    var callback =
    {
        success:handleSuccess,
        failure:handleFailure
    };

    function handleSuccess(o) {
        window.location = "../list/policy.jsp?region=region3&item=governance_wsdl_menu";
    }

    function handleFailure(o) {
        var buttonRow = document.getElementById('buttonRow');
        var waitMessage = document.getElementById('waitMessage');

        buttonRow.style.display = "";
        waitMessage.style.display = "none";
        CARBON.showErrorDialog(o.responseText);
    }

    function submitFormAsync() {
        var form = document.getElementById("policyUploadForm");
        YAHOO.util.Connect.setForm(form, false, false);
        YAHOO.util.Connect.asyncRequest("POST", form.getAttribute("action"), callback, null);
    }

    function addPolicy() {
        var reason = "";
        var irFetchURL = document.getElementById('irFetchURL');
        var irResourceName = document.getElementById('irResourceName');

        reason += validateEmpty(irFetchURL, "Policy URL");
        if(reason == ""){
        	reason += validateUrl(irFetchURL,"Policy URL");
        }
        reason += validateEmpty(irResourceName, "Name");

        if (reason != "") {
            CARBON.showWarningDialog(reason);
            return;
        }

        var buttonRow = document.getElementById('buttonRow');
        var waitMessage = document.getElementById('waitMessage');

        buttonRow.style.display = "none";
        waitMessage.style.display = "";

        submitFormAsync();
    }


    function fillResourceImportDetailsForPolicies(doNotPopulateMediaType) {

        var filepath = document.getElementById('irFetchURL').value;
    
        var filename = "";
        if (filepath.indexOf("\\") != -1) {
            filename = filepath.substring(filepath.lastIndexOf('\\') + 1, filepath.length);
            filename = filename.replace("?", ".");
        } else {
            filename = filepath.substring(filepath.lastIndexOf('/') + 1, filepath.length);
            filename = filename.replace("?", ".");
        }

        var policyStorePath = "/governance/policies/" + filename;
        if (validateExists(policyStorePath) != "") {
            CARBON.showWarningDialog("A policy named " + filename + " already exists. Please change the " +
                    "name of the current policy file unless you need to overwrite the existing one.");
        }

        document.getElementById('irResourceName').value = filename;
        var extension = filename.substring(filename.lastIndexOf(".") + 1, filename.length);

        if (!doNotPopulateMediaType) {
            var mediaType = "";
            if (extension.length > 0) {
                mediaType = getMediaType(extension);
                if (mediaType == undefined) {
                    mediaType = "";
                }
            }
            else {
            extension = filename.substring(filename.lastIndexOf("?") + 1, filename.length);
                if (extension.length > 0) {
                    mediaType = getMediaType(extension);
                    if (mediaType == undefined) {
                    mediaType = "";
                }
                }
        }
        document.getElementById('irMediaType').value = mediaType;
        }
    }


    function validateExists(pickedPath) {
        var error = "";
        var differentiate = "differentiate";
        new Ajax.Request('../resources/resource_exists_ajaxprocessor.jsp',
            {
                method:'post',
                parameters: {pickedPath: pickedPath, differentiate: differentiate},
                asynchronous:false,
                onSuccess: function(transport) {
                    var returnValue = transport.responseText;
                    if (returnValue.search(/----ResourceExists----/) != -1){
                        error = "A resource already exists at the given path: <strong>" + pickedPath + "</strong>.";
                    } else if (returnValue.search(/----CollectionExists----/) != -1){
                        error = "A collection already exists at the given path: <strong>" + pickedPath + "</strong>.";
                    }
                },
                onFailure: function(transport) {

                }
            });
        return error;
    }
</script>
<fmt:bundle basename="org.wso2.carbon.governance.ui.policy.i18n.Resources">
<carbon:breadcrumb
            label="policy.menu.text"
            resourceBundle="org.wso2.carbon.governance.ui.policy.i18n.Resources"
            topPage="true"
            request="<%=request%>" />
<script type="text/javascript"></script>
    <div id="middle">
        <h2><fmt:message key="policy.operations"/></h2>
        <div id="workArea">
            <form action="../resources/import_resource_ajaxprocessor.jsp" method="post"
                  id="policyUploadForm">
                <input type="hidden" name="printerror" value="true"/>
                <input type="hidden" name="parentPath" value="/"/>
                <input type="hidden" name="mediaType" value="application/policy+xml"/>

                <table class="styledLeft">
                    <thead>
                    <tr>
                        <th><fmt:message key="add.policy"/></th>
                    </tr>
                    </thead>
                    <tr>
                        <td class="formRow">
                            <table class="normal">
                                <tr>
                                    <td><fmt:message key="policy.url"/> <span
                                            class="required">*</span></td>
                                    <td><input type="text"
                                               onchange="fillResourceImportDetailsForPolicies(true)"
                                               name="fetchURL" style="width:400px" id="irFetchURL"/>
                                    </td>
                                </tr>
                                <tr>
                                    <td><fmt:message key="name"/> <span class="required">*</span>
                                    </td>
                                    <td><input type="text" name="resourceName" style="width:400px"
                                               id="irResourceName"/></td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr id="buttonRow">
                        <td class="formRow">
                            <table class="normal">
                                <tr>
                                    <td class="buttonRow">
                                        <input class="button" type="button" onClick="addPolicy()();"
                                               value='<fmt:message key="add.policy"/>'/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr id="waitMessage" style="display:none">
                        <td>
                            <div style="font-size:13px !important;margin-top:10px;margin-bottom:10px;"><img
                                    src="images/ajax-loader.gif" align="left" hspace="20"/>Please wait ....
                            </div>
                        </td>
                    </tr>
                </table>
            </form>
        </div>
    </div>
</fmt:bundle>
