<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>

<script type="text/javascript" src="js/resource_util.js"></script>
<script type="text/javascript" src="../yui/build/utilities/utilities.js"></script>
<script type="text/javascript" src="../registry_common/js/registry_validation.js"></script>
<script type="text/javascript">

    var callback =
    {
        success:handleSuccess,
        failure:handleFailure
    };

    function handleSuccess(o) {
        window.location = "../list/wsdl.jsp?region=region3&item=governance_wsdl_menu";
    }

    function handleFailure(o) {
        var buttonRow = document.getElementById('buttonRow');
        var waitMessage = document.getElementById('waitMessage');

        buttonRow.style.display = "";
        waitMessage.style.display = "none";
        CARBON.showErrorDialog(o.responseText);
    }

    function submitFormAsync() {

        var form = document.getElementById("wsdlUploadForm");
        YAHOO.util.Connect.setForm(form, false, false);
        YAHOO.util.Connect.asyncRequest("POST", form.getAttribute("action"), callback, null);
    }

    function addWSDL() {
        var reason = "";
        var irFetchURL = document.getElementById('irFetchURL');
        var irResourceName = document.getElementById('irResourceName');

        reason += validateEmpty(irFetchURL, "WSDL URL");
        if (reason == "") {
            reason += validateUrl(irFetchURL, "WSDL URL");
        }
        reason += validateEmpty(irResourceName, "Name");

        if (reason != "") {
            CARBON.showWarningDialog(reason);
            return;
        }


        var buttonRow = document.getElementById('buttonRow');
        var waitMessage = document.getElementById('waitMessage');

        buttonRow.style.display = "none";
        waitMessage.style.display = "";

        submitFormAsync();
    }
</script>
<fmt:bundle basename="org.wso2.carbon.governance.ui.wsdl.i18n.Resources">
    <carbon:breadcrumb
            label="schema.menu.text"
            resourceBundle="org.wso2.carbon.governance.ui.schema.i18n.Resources"
            topPage="true"
            request="<%=request%>"/>
    <script type="text/javascript">
    </script>
    <div id="middle">

        <h2><fmt:message key="wsdl.operations"/></h2>

        <div id="workArea">
            <form action="../resources/import_resource_ajaxprocessor.jsp" method="post"
                  id="wsdlUploadForm">
                <input type="hidden" name="printerror" value="true"/>
                <input type="hidden" name="parentPath" value="/"/>
                <input type="hidden" name="mediaType" value="application/wsdl+xml"/>
                    <%--<input type="hidden" name="isAsync" value="true"/>--%>

                <table class="styledLeft">
                    <thead>
                    <tr>
                        <th><fmt:message key="add.wsdl"/></th>
                    </tr>
                    </thead>
                    <tr>
                        <td class="formRow">
                            <table class="normal">
                                <tr>
                                    <td><fmt:message key="wsdl.url"/> <span class="required">*</span></td>
                                    <td><input type="text" onchange="fillResourceImportDetails(true)"
                                               name="fetchURL" style="width:400px" id="irFetchURL"/>
                                    </td>
                                </tr>
                                <tr>
                                    <td><fmt:message key="name"/> <span class="required">*</span></td>
                                    <td><input type="text" name="resourceName" style="width:400px"
                                               id="irResourceName"/></td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr id="buttonRow">
                        <td class="formRow">
                            <table class="normal">
                                <tr>
                                    <td class="buttonRow">
                                        <input class="button" type="button" onClick="addWSDL();"
                                               value='<fmt:message key="add.wsdl"/>'/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr id="waitMessage" style="display:none">
                        <td>
                            <div style="font-size:13px !important;margin-top:10px;margin-bottom:10px;"><img
                                    src="images/ajax-loader.gif" align="left" hspace="20"/>Please wait until the WSDL is
                                validated and added...
                            </div>
                        </td>
                    </tr>
                </table>
            </form>
        </div>
    </div>
</fmt:bundle>